###Quick Start

<h4>Step 1</h4>

> Install [StrongLoop Suite](http://www.strongloop.com/get-started)

<h4>Step 2</h4>

> Setup the **StrongLoop Suite Sample App**.

```sh
$ slc example
```

The command above takes care of cloning the sample app into a new directory
named `sls-sample-app` and installing all of its dependencies.


<h4>Step 3</h4>

> Run the sample application.

```sh
$ cd sls-sample-app
$ slc run app
```

<h4>Step 4</h4>

> Open the app in a browser.

The sample app should now be running at <a href="http://localhost:3000" target="_blank">http://localhost:3000</a>. The homepage of
the sample app lists several sample requests you can make against the LoopBack
REST API.

<a href="http://localhost:3000" class="status btn btn-primary" target="_blank">
View the Sample App</a>

<h4>Step 5</h4>

> Explore the REST API

To browse all the sample app's REST APIs,
[open the API explorer](http://localhost:3000/explorer)

<a href="http://localhost:3000/explorer" class="status btn btn-primary">View the
API Explorer</a>

<h4>Next Steps</h4>

> Check out the rest of the StrongLoop Suite.

 - To see how to consume the API from mobile clients, check out the [Getting Started](#getting-started) guide.
 - To see the out-of-the-box scaling capability of the Suite, check out the
 [StrongNode Quick Start Guide](http://docs.strongloop.com/strongnode#quick-start).
 - To see the provided CPU profiling and path trace features, check out the
 [StrongOps Quick Start Guide](http://docs.strongloop.com/strongops#quick-start).

---
